FROM openjdk:11 AS development

WORKDIR /opt/app

ENV EXECUTOR_POOL_URI=http://executor-pool:8083
ENV ROSTER_URI=http://roster:8082

COPY executor-computation/.mvn ./.mvn
COPY executor-computation/mvnw executor-computation/pom.xml executor-computation/mvnw.cmd ./

RUN apt-get clean && apt-get update && apt-get install dos2unix
RUN dos2unix mvnw

COPY common/pom.xml /opt/app/common/
COPY common/src /opt/app/common/src
COPY common/*target /opt/app/common/target

COPY executor-base/pom.xml /opt/app/executor-base/
COPY executor-base/src /opt/app/executor-base/src
COPY executor-base/*target /opt/app/executor-base/target

COPY executor-computation/src /opt/app/src
COPY executor-computation/*target /opt/app/target

RUN ./mvnw -f /opt/app/common/pom.xml clean install

RUN ./mvnw -f /opt/app/executor-base/pom.xml clean install

RUN ./mvnw clean install

CMD ["./mvnw", "spring-boot:run", "-Dspring-boot.run.jvmArguments=\"-agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=*:5005\"", "-Dspring.devtools.restart.enabled=true"]
